[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogBaseButtonItem.CommandLinkHint

Provides additional information about the button when command links are enabled in a task dialog.

## Declaration

Source position: dialogs.pp line 645

`public property TTaskDialogBaseButtonItem.CommandLinkHint : TTranslateString read FCommandLinkHint write FCommandLinkHint;`

## Description

CommandLinkHint is a TTranslateString property which contains additional information about the button. The translatable content is used as second line of text for the button when command links are enabled in a native TTaskDialog instance. The value is not displayed as an additional line on platforms where an emulated task dialog is used; this includes all platforms other Windows (Vista or later).

## Version info

Added in LCL version 4.0.